<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<div class="grouped-grid">
  <table>
    <thead>
    <tr class="mat-header-cell">
      <th *ngFor="let column of columns" [style.width]="column.width">{{column.label | translate}}</th>
    </tr>
    </thead>
    <tbody *ngFor="let group of groups">
    <tr class="grid-group" (click)="toggleGroupDisplay(group)">
      <td [attr.colspan]="columns.length">
        <div style="position: relative" matRipple>
          <div style="display: table-cell; vertical-align: middle; height: 36px;">
            <mat-icon class="grid-group-icon" *ngIf="groupDisplay[group]">keyboard_arrow_down</mat-icon>
            <mat-icon class="grid-group-icon" *ngIf="!groupDisplay[group]">keyboard_arrow_right</mat-icon>
            <span>{{group}}</span>
          </div>
        </div>
      </td>
    </tr>
    <ng-container *ngIf="groupDisplay[group]">
      <tr *ngFor="let row of getRowsForGroup(group)">
        <td *ngFor="let column of columns" style="vertical-align: middle;">
          <ng-container *ngIf="column.translate">{{row[column.field] | translate}}</ng-container>
          <ng-container *ngIf="!column.translate">{{row[column.field]}}</ng-container>
        </td>
      </tr>
    </ng-container>
    </tbody>
  </table>
</div>
